Zigbee Connectivity in my house sucks 😢

Yuk, ok.

I deleted the ZHA integration, removed the zigbee.db, attached the SkyConnect dingle, added the ZHA integration again and started from scratch.

I looked into the config and it has channel 25 auto selected.

I will then add all power outlets tomorrow and go from there.

It wasn’t working again with the 7 outlets that I have. After the 5th, all devices are not showing after two days. I started over again and will add 1 after another, leaving 1 day in between… I hate bug fixing

Hey, I live in a home that nothing pass the walls, I had also many problems even with wifi,with the need to put several extenders everywhere to be able to have internet in the house + with the problem that the house is rented and I can’t put cables everywhere.

And when I started with Zigbee, of course the same problem + I wanted to monitor the gate (that is around 50mtrs from the house) when is open or closed to be sure that is closed before open the door to let the “beasts” go out (6 dogs, 3 chihuahuas, 1 pekines, and 2 datschunds).

Tried many plugs, put bulbs everywhere, but at the end, who resolved the issue in a perfect way was this extender Aeotec Zesilovač Zigbee signálu - AEOTEC Range Extender Zi (ZGA001-C15) | MALL.CZ . Also I don’t have houses close to me, then the wifi channel problem was never a problem for me, anyway the walls looks like are made to protect you from a nuclear war.

Now whit this, I reach every spot in my house and garden.

Thanks for the hint. Added to amazon cart!

So, I did a lot of further research and ordered several same-brand outlets that I read were good (German Lidl silver crest).

Still, after it was working great for two days, connection between basement and ground floor broke and never came back no matter what I do.

I’ll attach a pic of the last outlet that works (basement) and the nearest one on ground level, which is also the first one on the way that doesn’t work:

I’m really lost why this should no work. It’s like 4m, no walls in between, that hip-high wall is ordinary stones. Lots of air…

Is there any way how I could add a second coordinator, located on ground floor, that regulates that floor?

I probably don’t know, I can share my experience.
I use zigbee2mqtt. I have several smart outlets and plugs. All of them are with electricity monitoring and those never ever did fall off the network. They are tuya based but no issue. I have also thick walls and large house. The ones that can fall of are some older smart plugs without electricity monitoring.
Maybe try to adjust antenna direction on coordinator…
It sucks when it doesnt work, I know.

Ugh, I feel so stupid, once more …

I saw this error message and for the first time did not click it away, but copied it and searched for it:

Failed to send request: Failed to enqueue message after 3 attempts: <EmberStatus.MAX_MESSAGE_LIMIT_REACHED: 114>
EmberStatus.DELIVERY_FAILED: 102

It seems that many people had the same issue before me, but only recently (1-9 months ago):

People are reporting the same error again and again, but no one has a fix.
Broadcast appears to be an issue, but it’s disabled in my case.

They are all reporting that it’s ZHA + SkyConnect stick. Z2M and Deconz are said to behave normally.
For many of them, reloading ZHA helps for some time.

I don’t know what to do either.

Isn’t that just the message you get when a Zigbee device is unavailable? I get a bunch of those too sometimes, even though my zigbee network works very well. I do have a light that is Zigbee, but connected to a dumb switch, so when it’s powered off it cannot be reached I sort of assume that causes this message. In any case I have no problems with Zigbee connectivity but I do see this message. I have Sonoff E dongle, not Skyconnect
In Z2M, coordinators with the embernet stack are not (fully) supported, so it’s not surprising they don’t see this message. I don’t know about conbee.

I looked into the HA logs and they say:

2024-02-17 20:23:54.959 ERROR (MainThread) [homeassistant.components.websocket_api.http.connection] [546147140800] Failed to send request: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102>
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/__init__.py", line 64, in wrap_zigpy_exceptions
    yield
  File "/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/__init__.py", line 84, in wrapper
    return await RETRYABLE_REQUEST_DECORATOR(func)(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/util.py", line 131, in retry
    return await func()
           ^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/quirks/__init__.py", line 199, in command
    return await self.request(
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/zcl/__init__.py", line 377, in request
    return await self._endpoint.request(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/endpoint.py", line 253, in request
    return await self.device.request(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/zigpy/device.py", line 323, in request
    await send_request()
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 833, in request
    await self.send_packet(
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 931, in send_packet
    raise zigpy.exceptions.DeliveryError(
zigpy.exceptions.DeliveryError: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102>

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 238, in handle_call_service
    response = await hass.services.async_call(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/core.py", line 2149, in async_call
    response_data = await coro
                    ^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/core.py", line 2186, in _execute_service
    return await target(service_call)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/entity_component.py", line 272, in handle_service
    return await service.entity_service_call(
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 882, in entity_service_call
    single_response = await _handle_entity_call(
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/helpers/service.py", line 952, in _handle_entity_call
    result = await task
             ^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/zha/switch.py", line 89, in async_turn_on
    await self._on_off_cluster_handler.turn_on()
  File "/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/general.py", line 373, in turn_on
    result = await self.on()
             ^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/__init__.py", line 83, in wrapper
    with wrap_zigpy_exceptions():
  File "/usr/local/lib/python3.11/contextlib.py", line 155, in __exit__
    self.gen.throw(typ, value, traceback)
  File "/usr/src/homeassistant/homeassistant/components/zha/core/cluster_handlers/__init__.py", line 75, in wrap_zigpy_exceptions
    raise HomeAssistantError(message) from exc
homeassistant.exceptions.HomeAssistantError: Failed to send request: Failed to deliver message: <EmberStatus.DELIVERY_FAILED: 102>